from fastapi import APIRouter
from pydantic import BaseModel

from common_util import version as service_version

general_info_router = APIRouter()


class GeneralInfoData(BaseModel):
    version: str


@general_info_router.get("/get_general_info")
async def get_general_info():
    return GeneralInfoData(version=service_version)
